<?php
include 'auth_check.php'; // Include verificarea autentificării
include 'config.php'; // Include configurația bazei de date

$response = ['success' => false, 'error' => ''];

try {
    if ($_SERVER['REQUEST_METHOD'] == 'POST') {
        // Verificăm dacă toate datele necesare sunt prezente
        if (!isset($_POST['localitate_obiectiv'], $_POST['distanta'], $_POST['tip_lucrare'], $_POST['suprafata'])) {
            throw new Exception('Lipsesc datele necesare.');
        }

        // Debug: Verificăm datele primite
        print_r($_POST);
        exit;

        // Insert into works table
        $localitate_obiectiv = $_POST['localitate_obiectiv'];
        $distanta = $_POST['distanta'];

        $stmt = $conn->prepare("INSERT INTO works (localitate_obiectiv, distanta_km) VALUES (?, ?)");
        if (!$stmt) {
            throw new Exception('Prepare statement failed: ' . $conn->error);
        }

        $stmt->bind_param("sd", $localitate_obiectiv, $distanta);

        if (!$stmt->execute()) {
            throw new Exception('Eroare la inserarea lucrării: ' . $stmt->error);
        }

        $work_id = $stmt->insert_id;

        // Insert into work_details table
        $tip_lucrare = $_POST['tip_lucrare'];
        $material_termoizolant = $_POST['material_termoizolant'];
        $membrana = $_POST['membrana'];
        $banda_etansare = $_POST['banda_etansare'];
        $petece = $_POST['petece'];
        $accesorii = $_POST['accesorii'];
        $suprafata = $_POST['suprafata'];
        $grosime = $_POST['grosime'];

        $stmt_detail = $conn->prepare("INSERT INTO work_details (work_id, tip_lucrare_id, material_termoizolant_id, membrana_id, banda_etansare_id, petece_id, accesorii_id, suprafata, grosime) VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?)");
        if (!$stmt_detail) {
            throw new Exception('Prepare statement for work details failed: ' . $conn->error);
        }

        for ($i = 0; $i < count($tip_lucrare); $i++) {
            $material_termoizolant_id = !empty($material_termoizolant[$i]) ? $material_termoizolant[$i] : null;
            $membrana_id = !empty($membrana[$i]) ? $membrana[$i] : null;
            $banda_etansare_id = !empty($banda_etansare[$i]) ? $banda_etansare[$i] : null;
            $petece_id = !empty($petece[$i]) ? $petece[$i] : null;
            $accesorii_id = !empty($accesorii[$i]) ? $accesorii[$i] : null;
            $grosime_value = !empty($grosime[$i]) ? $grosime[$i] : null;

            $stmt_detail->bind_param("iiiiiiidd", 
                $work_id, 
                $tip_lucrare[$i], 
                $material_termoizolant_id, 
                $membrana_id, 
                $banda_etansare_id, 
                $petece_id, 
                $accesorii_id, 
                $suprafata[$i], 
                $grosime_value);

            if (!$stmt_detail->execute()) {
                throw new Exception('Eroare la inserarea detaliilor lucrării: ' . $stmt_detail->error);
            }
        }

        $response['success'] = true;
    } else {
        throw new Exception('Metoda HTTP nu este POST.');
    }
} catch (Exception $e) {
    $response['error'] = $e->getMessage();
}

$conn->close();
echo json_encode($response);
?>
