<?php
include 'auth_check.php'; // Include verificarea autentificării
include 'config.php'; // Include configurația bazei de date

// Setează headerul pentru a indica faptul că răspunsul va fi în format JSON
header('Content-Type: application/json');

$data = json_decode(file_get_contents('php://input'), true);

if (isset($data['id']) && isset($data['name'])) {
    $id = intval($data['id']);
    $name = $data['name'];

    $stmt = $conn->prepare("UPDATE categories SET name = ? WHERE id = ?");
    $stmt->bind_param("si", $name, $id);

    if ($stmt->execute()) {
        echo json_encode(['success' => true]);
    } else {
        echo json_encode(['success' => false, 'error' => $stmt->error]);
    }

    $stmt->close();
} else {
    echo json_encode(['success' => false, 'error' => 'Date incomplete']);
}

$conn->close();
?>
