<?php
include 'auth_check.php';
include 'config.php'; // Asigură-te că ai configurat corect detaliile de conectare la baza de date

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $username = $_POST['username'];
    $password = $_POST['password'];

    // Verifică dacă utilizatorul există deja
    $sql = "SELECT id FROM users WHERE username = ?";
    $stmt = $conn->prepare($sql);
    $stmt->bind_param("s", $username);
    $stmt->execute();
    $stmt->store_result();
    
    if ($stmt->num_rows == 0) {
        // Adaugă utilizatorul în baza de date
        $password_hash = password_hash($password, PASSWORD_DEFAULT);
        $sql = "INSERT INTO users (username, password_hash) VALUES (?, ?)";
        $stmt = $conn->prepare($sql);
        $stmt->bind_param("ss", $username, $password_hash);
        $stmt->execute();
        
        if ($stmt->affected_rows > 0) {
            echo "Utilizator adăugat cu succes!";
        } else {
            echo "Eroare la adăugarea utilizatorului: " . $stmt->error;
        }
    } else {
        echo "Numele de utilizator există deja!";
    }

    $stmt->close();
    $conn->close();
}
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Adaugă Utilizator</title>
    <style>
        /* Stilizare similară cu exemplul anterior */
    </style>
</head>
<body>
    <div class="container">
        <h1>Adaugă Utilizator</h1>
        <form method="post" action="add_user.php">
            <input type="text" name="username" placeholder="Nume de utilizator" required>
            <input type="password" name="password" placeholder="Parolă" required>
            <input type="submit" value="Adaugă Utilizator">
        </form>
    </div>
</body>
</html>
