<?php
include 'auth_check.php';
include 'config.php';

$response = array('success' => false, 'message' => '');

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $data = json_decode(file_get_contents('php://input'), true);
    $id = $data['id'];

    // Verifică dacă ID-ul a fost trimis
    if (isset($id) && is_numeric($id)) {
        $sql = "DELETE FROM furnizori WHERE id = ?";
        $stmt = $conn->prepare($sql);
        $stmt->bind_param("i", $id);
        $stmt->execute();

        if ($stmt->affected_rows > 0) {
            $response['success'] = true;
        } else {
            $response['message'] = 'Furnizorul nu a fost găsit sau nu a fost șters.';
        }
        $stmt->close();
    } else {
        $response['message'] = 'ID invalid.';
    }
    $conn->close();
} else {
    $response['message'] = 'Metodă de cerere invalidă.';
}

header('Content-Type: application/json');
echo json_encode($response);
?>
