<?php
session_start();
include 'config.php'; // Asigură-te că acest fișier conține datele de conectare la baza de date

$message = '';

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $username = $_POST['username'];
    $password = $_POST['password'];

    // Pregătește și execută interogarea
    $sql = "SELECT password_hash FROM users WHERE username = ?";
    $stmt = $conn->prepare($sql);
    $stmt->bind_param("s", $username);
    $stmt->execute();
    $stmt->store_result();

    if ($stmt->num_rows > 0) {
        $stmt->bind_result($password_hash);
        $stmt->fetch();

        // Verifică parola
        if (password_verify($password, $password_hash)) {
            $_SESSION['username'] = $username; // Setează sesiunea
            header("Location: index.php"); // Redirecționează către pagina principală
            exit();
        } else {
            $message = "Nume de utilizator sau parolă incorectă!";
        }
    } else {
        $message = "Nume de utilizator sau parolă incorectă!";
    }

    $stmt->close();
    $conn->close();
}
?>

<!DOCTYPE html>
<html lang="ro">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Login ISOGREEN AI</title>
    <style>
        body, html {
            margin: 0;
            padding: 0;
            height: 100%;
            font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, 'Helvetica Neue', Arial, sans-serif;
            display: flex;
            justify-content: center;
            align-items: center;
            background-color: #f8f8f8;
        }
        .container {
            text-align: center;
            width: 400px;
            padding: 20px;
            background-color: #fff;
            border-radius: 12px;
            box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
        }
        .logo {
            margin-bottom: 20px;
        }
        .logo img {
            padding-top: 30px;
            width: 150px;
            height: auto;
        }
        h1 {
            font-size: 28px;
            color: #333;
            margin-bottom: 10px;
        }
        p {
            font-size: 16px;
            color: #666;
            margin-bottom: 30px;
        }
        .input-group {
            position: relative;
            width: 100%;
            margin-bottom: 20px;
        }
        .input-group input {
            width: 70%; /* Dimensiunea inițială */
            padding: 15px;
            font-size: 16px;
            border: 1px solid #ccc;
            border-radius: 8px;
            box-sizing: border-box;
            padding-left: 10px;
        }
        .message {
            color: #e74c3c;
            font-size: 14px;
            margin: 10px 0;
        }
    </style>
</head>
<body>
    <div class="container">
        <div class="logo">
            <img src="/scadentar/logo_G.png" alt="Logo">
        </div>
        <h1>AI ISOGREEN</h1>
        <p>Login Dashboard</p>
        <?php if ($message): ?>
            <div class="message"><?php echo $message; ?></div>
        <?php endif; ?>
        <form method="post" action="" id="login-form">
            <div class="input-group">
                <input type="text" id="username" name="username" placeholder="username" required onkeydown="checkEnter(event)">
            </div>
            <div id="password-group" class="input-group" style="display:none;">
                <input type="password" id="password" name="password" placeholder="password" required onkeydown="submitOnEnter(event)">
            </div>
        </form>
    </div>

    <script>
        function showPassword() {
            var username = document.getElementById('username').value;
            if (username) {
                document.getElementById('password-group').style.display = 'block';
                document.getElementById('password').focus(); // Mută focusul pe câmpul de parolă
            }
        }

        function checkEnter(event) {
            if (event.key === 'Enter') {
                showPassword();
            }
        }

        function submitOnEnter(event) {
            if (event.key === 'Enter') {
                document.getElementById('login-form').submit();
            }
        }
    </script>
</body>
</html>
