<?php
include 'auth_check.php';
include 'config.php';

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $furnizor_id = $_POST['furnizor_id'];
    $data_comanda = $_POST['data_comanda'];
    $nr_factura = $_POST['nr_factura'];
    $data_factura = $_POST['data_factura'];
    $total_factura = $_POST['total_factura'];

    // Obținerea zilelor de scadență pentru furnizor
    $sql = "SELECT zile_scadenta FROM furnizori WHERE id = ?";
    $stmt = $conn->prepare($sql);
    $stmt->bind_param("i", $furnizor_id);
    $stmt->execute();
    $result = $stmt->get_result();
    $row = $result->fetch_assoc();
    $zile_scadenta = $row['zile_scadenta'];

    // Calcularea datei de scadență
    $data_scadenta = date('Y-m-d', strtotime($data_factura . ' + ' . $zile_scadenta . ' days'));

    // Inserarea facturii în baza de date
    $sql = "INSERT INTO facturi (furnizor_id, data_comanda, nr_factura, data_factura, data_scadenta, total_factura) VALUES (?, ?, ?, ?, ?, ?)";
    $stmt = $conn->prepare($sql);
    $stmt->bind_param("issssd", $furnizor_id, $data_comanda, $nr_factura, $data_factura, $data_scadenta, $total_factura);
    $stmt->execute();

    if ($stmt->affected_rows > 0) {
        echo "<p>Factura a fost adăugată cu succes!</p>";
    } else {
        echo "<p>Eroare la adăugarea facturii: " . $stmt->error . "</p>";
    }
    $stmt->close();
}

$conn->close();
?>
