<?php
include 'auth_check.php';
include 'config.php';

$data = json_decode(file_get_contents('php://input'), true);

$id = $data['id'];
$paymentType = $data['paymentType'];
$amountPaid = $data['amountPaid'];
$paymentMethod = $data['paymentMethod'];

$response = array();

if ($paymentType === 'total') {
    // Pentru plata totală
    $sql = "UPDATE facturi SET status_plata = 1, rest = 0, data_plata = NOW(), metoda_plata = ? WHERE id = ?";
    $stmt = $conn->prepare($sql);
    $stmt->bind_param("si", $paymentMethod, $id);
} else if ($paymentType === 'partial') {
    // Calculăm noua sumă rămasă de plată
    $sql_get_total = "SELECT total_factura, rest FROM facturi WHERE id = ?";
    $stmt_get_total = $conn->prepare($sql_get_total);
    $stmt_get_total->bind_param("i", $id);
    $stmt_get_total->execute();
    $stmt_get_total->bind_result($totalFactura, $currentRest);
    $stmt_get_total->fetch();
    $stmt_get_total->close();

    // Dacă nu există rest anterior, presupunem că restul inițial este totalul facturii
    $rest = ($currentRest > 0) ? $currentRest : $totalFactura;

    $newRest = $rest - $amountPaid;

    // Verificăm dacă factura a fost plătită integral după plata parțială
    $statusPlata = ($newRest <= 0) ? 1 : 2;  // 1 = Plătit integral, 2 = Plătit parțial

    $sql = "UPDATE facturi SET rest = ?, data_plata = NOW(), metoda_plata = ?, status_plata = ? WHERE id = ?";
    $stmt = $conn->prepare($sql);
    $stmt->bind_param("dsii", $newRest, $paymentMethod, $statusPlata, $id);
}

if ($stmt->execute()) {
    $response['success'] = true;
    $response['message'] = 'Plata a fost procesată cu succes.';
} else {
    $response['success'] = false;
    $response['message'] = 'Eroare la procesarea plății: ' . $stmt->error;
}

$stmt->close();
$conn->close();

header('Content-Type: application/json');
echo json_encode($response);
?>
