<?php
include 'auth_check.php';
include 'config.php';

// Preia furnizorii din baza de date pentru dropdown
$furnizoriResult = $conn->query("SELECT DISTINCT u.nume FROM furnizori u JOIN facturi f ON u.id = f.furnizor_id ORDER BY u.nume");

$furnizor = isset($_GET['furnizor']) ? $_GET['furnizor'] : '';
$status = isset($_GET['status']) ? $_GET['status'] : '';

// Construiește interogarea SQL cu condiții de filtrare
$sql = "SELECT f.id, f.furnizor_id, f.nr_factura, f.data_factura, f.data_scadenta, f.total_factura, f.status_plata, f.data_plata, f.metoda_plata, f.rest, u.nume AS furnizor, u.zile_scadenta 
        FROM facturi f 
        JOIN furnizori u ON f.furnizor_id = u.id
        WHERE 1=1";

// Adaugă condiții în funcție de filtre
if ($furnizor !== '') {
    $sql .= " AND u.nume LIKE '%" . $conn->real_escape_string($furnizor) . "%'";
}

if ($status !== '') {
    $sql .= " AND f.status_plata = '" . $conn->real_escape_string($status) . "'";
}

$result = $conn->query($sql);
?>

<!DOCTYPE html>
<html lang="ro">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="https://cdn.jsdelivr.net/npm/tailwindcss@2.2.19/dist/tailwind.min.css" rel="stylesheet">
    <style>
       :root {
            --primary-color: #3498db; /* Albastru */
            --secondary-color: #2ecc71; /* Verde */
            --danger-color: #e74c3c; /* Roșu */
            --warning-color: #f39c12; /* Galben */
            --bg-color: #f4f6f9; /* Gri deschis */
            --text-color: #34495e; /* Gri închis */
            --border-radius: 12px;
        }

        body {
            font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
            margin: 0;
            padding: 20px;
            background-color: var(--bg-color);
            display: flex;
            justify-content: center;
            align-items: flex-start;
        }

        .container {
            width: 100%;
            max-width: 1500px;
            background-color: #fff;
            padding: 20px;
            border-radius: var(--border-radius);
            box-shadow: 0 10px 25px rgba(0, 0, 0, 0.1);
            margin-top: 0px;
        }

        h1 {
            text-align: center;
            color: var(--text-color);
            margin-bottom: 20px;
        }

        .table-responsive {
            max-height: 600px;
            overflow-y: auto;
            border-radius: var(--border-radius);
            box-shadow: 0 10px 25px rgba(0, 0, 0, 0.1);
        }

        .table {
            width: 100%;
            border-collapse: collapse;
        }

        .table th, .table td {
            padding: 12px;
            text-align: left;
            border-bottom: 1px solid #ddd;
        }

        .table thead th {
            background-color: var(--bg-color);
            color: var(--text-color);
            position: sticky;
            top: 0;
            z-index: 1;
        }

        .table tbody tr:nth-child(even) {
            background-color: #f9f9f9;
        }

        .table tbody tr:hover {
            background-color: #f1f1f1;
        }

        .actions {
            display: flex;
            gap: 5px;
        }

        .btn {
            border-radius: var(--border-radius);
            padding: 8px 12px;
            font-size: 14px;
            transition: transform 0.2s ease;
            text-align: center;
            color: #fff;
            text-decoration: none;
            cursor: pointer;
            margin-bottom: 5px;
        }

        .btn-primary {
            background-color: var(--primary-color);
        }

        .btn-primary:hover {
            background-color: #2980b9;
            transform: scale(1.05);
        }

        .btn-success {
            background-color: var(--secondary-color);
        }

        .btn-success:hover {
            background-color: #27ae60;
            transform: scale(1.05);
        }

        .btn-warning {
            background-color: var(--warning-color);
        }

        .btn-warning:hover {
            background-color: #e0a800;
            transform: scale(1.05);
        }

        .btn-danger {
            background-color: var(--danger-color);
        }

        .btn-danger:hover {
            background-color: #c0392b;
            transform: scale(1.05);
        }

        .pagination {
            margin-top: 20px;
            display: flex;
            justify-content: center;
        }

        .pagination li {
            margin: 0 5px;
        }

        .pagination a {
            padding: 8px 12px;
            border-radius: var(--border-radius);
            text-decoration: none;
            background-color: var(--primary-color);
            color: #fff;
            transition: background-color 0.3s ease, transform 0.2s ease;
        }

        .pagination a:hover {
            background-color: #2980b9;
            transform: scale(1.05);
        }

        .modal {
            display: none;
            position: fixed;
            z-index: 1050;
            left: 0;
            top: 0;
            width: 100%;
            height: 100%;
            overflow: hidden;
            outline: 0;
            background-color: rgba(0, 0, 0, 0.5);
            justify-content: center;
            align-items: center;
        }

        .modal-dialog {
            width: 100%;
            max-width: 350px;
            margin: 1.75rem auto;
        }

        .modal-content {
            position: relative;
            display: flex;
            flex-direction: column;
            width: 100%;
            background-color: #fff;
            border-radius: var(--border-radius);
            box-shadow: 0 10px 25px rgba(0, 0, 0, 0.3);
            outline: 0;
            padding: 20px;
        }

        .modal-header {
            display: flex;
            align-items: flex-start;
            justify-content: space-between;
            padding: 1rem 1rem;
            border-bottom: 1px solid #dee2e6;
        }

        .modal-title {
            margin-bottom: 0;
            line-height: 1.5;
            font-size: 18px;
        }

        .modal-body {
            position: relative;
            flex: 1 1 auto;
            padding: 1rem;
            overflow-y: auto;
        }

        .modal-footer {
            display: flex;
            align-items: center;
            justify-content: flex-end;
            padding: 1rem;
            border-top: 1px solid #dee2e6;
        }

        .modal.show {
            display: flex;
        }
        
        tr.factura-platita td {
            color: green;
        }

        tr.factura-scadenta-curand td {
            color: orange;
        }

        tr.factura-scadenta-depasita td {
            color: red;
        }
        
        .form-select {
    border-radius: var(--border-radius);
    padding: 12px;
    border: 1px solid #ddd;
    font-size: 14px;
    width: 100%;
    box-sizing: border-box;
    appearance: none;
    background-color: #fff;
    background-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 4 5"><path fill="%23000" d="M2 0L0 2h4zM2 5L0 3h4z"/></svg>');
    background-repeat: no-repeat;
    background-position: right 10px center;
    background-size: 10px;
    color: var(--text-color);
}

.sticky-header {
    position: sticky;
    top: 0;
    background-color: var(--bg-color);
    z-index: 1000; /* Asigură-te că este deasupra altor elemente */
    box-shadow: 0 2px 2px -1px rgba(0, 0, 0, 0.1); /* Adaugă o umbră pentru efect */
}

.filter-row {
    position: sticky;
    top: 0;
    z-index: 1001; /* Filtrele ar trebui să fie deasupra capului de tabel */
    background-color: var(--bg-color);
    box-shadow: 0 2px 2px -1px rgba(0, 0, 0, 0.1);
}

    </style>

    <script>
    
        let currentInvoiceId;
        
       function fetchFacturi() {
    const furnizor = document.getElementById('furnizor').value;
    const status = document.getElementById('status').value;

    const queryString = `?furnizor=${encodeURIComponent(furnizor)}&status=${encodeURIComponent(status)}`;

    fetch(window.location.pathname + queryString)
        .then(response => response.text())
        .then(data => {
            const parser = new DOMParser();
            const doc = parser.parseFromString(data, 'text/html');
            const newTableBody = doc.querySelector('#facturiTableBody').innerHTML;
            document.getElementById('facturiTableBody').innerHTML = newTableBody;

            // Actualizăm totalurile
            const totalFacturi = doc.querySelector('#totalFacturi').textContent;
            const totalScadente = doc.querySelector('#totalScadente').textContent;
            const totalScadentaDepasita = doc.querySelector('#totalScadentaDepasita').textContent;

            document.getElementById('totalFacturi').textContent = totalFacturi;
            document.getElementById('totalScadente').textContent = totalScadente;
            document.getElementById('totalScadentaDepasita').textContent = totalScadentaDepasita;
        })
        .catch(error => console.error('Eroare:', error));
}

document.addEventListener('DOMContentLoaded', function() {
    document.getElementById('furnizor').addEventListener('change', fetchFacturi);
    document.getElementById('status').addEventListener('change', fetchFacturi);
});



        
              function payRow(id) {
            currentInvoiceId = id;
            console.log("ID Factura: " + currentInvoiceId);

            const modal = document.getElementById('paymentModal');
            if (modal) {
                console.log("Pop-up-ul de plată a fost găsit prin getElementById.");

                 // Folosește Tailwind CSS pentru a afișa modalul
                modal.classList.add('show');
            } else {
                console.error("Pop-up-ul de plată nu a fost găsit!");
            }
        }

        document.querySelectorAll('input[name="paymentType"]').forEach(radio => {
            radio.addEventListener('change', function() {
                if (this.value === 'partial') {
                    document.getElementById('partialPaymentSection').style.display = 'block';
                } else {
                    document.getElementById('partialPaymentSection').style.display = 'none';
                }
            });
        });

        function confirmPayment() {
            const paymentType = document.querySelector('input[name="paymentType"]:checked').value;
            const paymentMethod = document.getElementById('paymentMethod').value;
            let amountPaid = 0;
            if (paymentType === 'partial') {
                amountPaid = parseFloat(document.getElementById('partialPaymentAmount').value);
                if (isNaN(amountPaid) || amountPaid <= 0) {
                    alert('Introduceți o sumă validă pentru plata parțială.');
                    return;
                }
            }
            console.log("Tip de plată: " + paymentType + ", Metodă de plată: " + paymentMethod + ", Suma: " + amountPaid);

            fetch('process_payment.php', {
                method: 'POST',
                headers: {
                    'Content-Type': 'application/json'
                },
                body: JSON.stringify({
                    id: currentInvoiceId,
                    paymentType: paymentType,
                    amountPaid: amountPaid,
                    paymentMethod: paymentMethod
                })
            })
            .then(response => response.json())
            .then(responseData => {
                if (responseData.success) {
                    alert('Plata a fost procesată cu succes!');
                    location.reload(); // Reîncarcă pagina pentru a reflecta modificările
                } else {
                    alert('Eroare la procesarea plății: ' + responseData.message);
                }
            })
            .catch(error => {
                console.error('Eroare:', error);
            });
        }

function invalidateRow(id) {
    if (confirm('Ești sigur că vrei să invalidezi plata acestei facturi?')) {
        fetch('invalidate_factura.php', {
            method: 'POST',
            headers: {
                'Content-Type': 'application/json'
            },
            body: JSON.stringify({ id: id })
        })
        .then(response => response.json())
        .then(responseData => {
            if (responseData.success) {
                // Actualizează interfața după invalidare
                document.querySelector(`.row-${id} .status_plata`).innerText = 'Neplatita';
                document.querySelector(`.row-${id} .data_plata`).innerText = '-';
                document.querySelector(`.row-${id} .metoda_plata`).innerText = '-';
                document.querySelector(`.row-${id} .rest`).innerText = '-';  // Șterge restul de plată

                // Înlocuiește conținutul acțiunilor pentru a afișa corect butoanele
                document.querySelector(`.row-${id} .actions`).innerHTML = `
                    <a class='btn btn-primary btn-sm pay-btn' onclick='payRow(${id})'>Pay</a>
                    <a class='btn btn-danger btn-sm delete-btn' onclick='deleteRow(${id})'>Delete</a>
                `;

                // Refresh al paginii după ce invalidarea a avut succes
                location.reload();
            } else {
                alert('Eroare la invalidarea facturii: ' + responseData.message);
            }
        })
        .catch(error => {
            console.error('Eroare:', error);
            alert('Eroare la conectarea cu serverul: ' + error.message);
        });
    }
}

        function deleteRow(id) {
            if (confirm('Ești sigur că vrei să ștergi această factură?')) {
                fetch('delete_factura.php', {
                    method: 'POST',
                    headers: {
                        'Content-Type': 'application/json'
                    },
                    body: JSON.stringify({ id: id })
                })
                .then(response => response.json())
                .then(responseData => {
                    if (responseData.success) {
                        document.querySelector(`.row-${id}`).remove();
                        updateTotals();
                    } else {
                        alert('Eroare la ștergerea facturii: ' + responseData.message);
                    }
                })
                .catch(error => {
                    console.error('Eroare:', error);
                });
            }
        }

       
    </script>
</head>
<body>

<!-- Pop-up pentru selecția tipului de plată -->
<div id="paymentModal" class="modal fixed inset-0 flex items-center justify-center bg-black bg-opacity-50 hidden">
    <div class="modal-dialog bg-white rounded-lg shadow-lg max-w-sm w-full">
        <div class="modal-content p-4">
            <div class="modal-header flex justify-between items-center pb-2 mb-4 border-b">
                                <button type="button" class="btn-close" onclick="document.getElementById('paymentModal').classList.remove('show')">×</button>

            </div>
            <div class="modal-body">
                <form id="paymentForm">
                    <div class="mb-3 flex justify-center items-center">
                        <div class="form-check flex-1 flex items-center">
                            <input class="form-check-input custom-radio" type="radio" name="paymentType" id="paymentTotal" value="total" checked>
                            <label class="form-check-label ml-2" for="paymentTotal">
                                Plata totală
                            </label>
                        </div>
                        <div class="form-check flex-1 flex items-center">
                            <input class="form-check-input custom-radio" type="radio" name="paymentType" id="paymentPartial" value="partial">
                            <label class="form-check-label ml-2" for="paymentPartial">
                                Plata parțială
                            </label>
                            <script>
// Cod JavaScript pentru a schimba între plata totală și parțială cu debug
console.log("Documentul este gata.");

document.querySelectorAll('input[name="paymentType"]').forEach(radio => {
    console.log("Adaugă listener pentru: ", radio.value);

    radio.addEventListener('change', function() {
        console.log("S-a selectat tipul de plată: ", this.value);
        
        if (this.value === 'partial') {
            console.log("Se afișează secțiunea pentru plată parțială.");
            document.getElementById('partialPaymentSection').style.display = 'block';
        } else {
            console.log("Se ascunde secțiunea pentru plată parțială.");
            document.getElementById('partialPaymentSection').style.display = 'none';
        }
    });
});
</script>
                        </div>
                    </div>

                    <div class="flex justify-between items-center">
                        <div class="w-1/2 pr-1">
                            <select id="paymentMethod" class="form-select rounded-lg px-4 py-2 w-full border border-gray-300">
                                <option value="banca">Banca</option>
                                <option value="cash">Cash</option>
                            </select>
                        </div>

                        <div id="partialPaymentSection" class="w-1/2 pl-1" style="display:none;">
                            <input type="number" class="form-select rounded-lg px-4 py-2 w-full border border-gray-300 no-spinner" id="partialPaymentAmount" placeholder="Sumă" min="0" step="0.01">
                        </div>
                    </div>
                </form>
            </div>
            <div class="modal-footer flex justify-end mt-4">
              
                <button type="button" class="btn btn-primary" onclick="confirmPayment()">Confirmă</button>
            </div>
        </div>
    </div>
</div>

<style>
.custom-radio {
    appearance: none;
    background-color: #fff;
    border: 2px solid #d1d5db;
    border-radius: 50%;
    width: 16px;
    height: 16px;
    display: inline-block;
    position: relative;
    cursor: pointer;
    outline: none;
    transition: background-color 0.3s, border-color 0.3s;
    margin-top: 5px; /* Aliniere verticală cu inputul */
}

.custom-radio:checked {
    border-color: #6b7280;
    background-color: #6b7280;
}

.custom-radio:checked::before {
    content: '';
    display: block;
    width: 6px;
    height: 6px;
    border-radius: 50%;
    background: white;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.custom-radio:hover {
    border-color: #9ca3af;
}

.custom-radio:focus {
    box-shadow: 0 0 0 2px rgba(107, 114, 128, 0.3);
}



/* Eliminarea săgeților suplimentare din inputul de tip number */
.no-spinner::-webkit-outer-spin-button,
.no-spinner::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

.no-spinner {
    -moz-appearance: textfield;
}
</style>
                                                                 

<div class="container mt-5">
    <div class="table-responsive">
        <table class="table table-striped table-bordered">
            <thead class="sticky-header">
                <tr class="filter-row">
                    <th>
                        <select id="furnizor" name="furnizor" class="form-select rounded-lg px-4 py-2">
                            <option value="">Toți</option>
                            <?php while ($row = $furnizoriResult->fetch_assoc()): ?>
                                <option value="<?php echo $row['nume']; ?>" <?php echo $furnizor === $row['nume'] ? 'selected' : ''; ?>>
                                    <?php echo $row['nume']; ?>
                                </option>
                            <?php endwhile; ?>
                        </select>
                    </th>
                    <th>
                        <select id="status" name="status" class="form-select rounded-lg px-4 py-2">
                            <option value="">Toate</option>
                            <option value="0" <?php echo $status === '0' ? 'selected' : ''; ?>>Neplătite</option>
                            <option value="1" <?php echo $status === '1' ? 'selected' : ''; ?>>Plătite</option>
                            <option value="2" <?php echo $status === '2' ? 'selected' : ''; ?>>Plătite Parțial</option>
                        </select>
                    </th>
                    <th colspan="9" class="text-right">
                        <a href="add_factura.php" class="btn btn-success px-4 py-2 rounded-lg">Adauga Factura</a>
                    </th>
                </tr>
                <tr>
                    <th>Furnizor</th>
                    <th>Serie / nr.</th>
                    <th>Emitere</th>
                    <th>Scadenta</th>
                    <th>Valoare</th>
                    <th>Rest</th>
                    <th>Zile Scd.</th>
                    <th>Status</th>
                    <th>Data Plată</th>
                    <th>Metodă Plată</th>
                    <th>Acțiuni</th>
                </tr>
            </thead>
            <tbody id="facturiTableBody">
                
                           <?php


function formatDate($date) {
    return date('d.m.Y', strtotime($date));
}
         
           
// Variabile pentru totaluri
$total_facturi_filtrate = 0;
$total_rest_de_plata_filtrat = 0;
$total_scadente_filtrate = 0;
$total_scadenta_depasita_filtrata = 0;

if ($result->num_rows > 0) {
    while ($row = $result->fetch_assoc()) {
        // Actualizăm totalurile în funcție de statusul plății și de filtre
        if ($row['status_plata'] == 0) { // Facturi neplătite
            $total_facturi_filtrate += $row['total_factura'];
        } elseif ($row['status_plata'] == 2) { // Facturi plătite parțial
            $total_rest_de_plata_filtrat += $row['rest'] > 0 ? $row['rest'] : $row['total_factura'];
        }

        // Calculul zilelor scadente
        $data_scadenta = new DateTime($row['data_scadenta']);
        $today = new DateTime();
        $today->setTime(0, 0, 0);
        $data_scadenta->setTime(0, 0, 0);

        if ($row['status_plata'] == 1 && $row['data_plata']) {
            // Dacă factura este plătită, blochează valoarea la diferența dintre data scadenței și data plății
            $data_plata = new DateTime($row['data_plata']);
            $interval = $data_plata->diff($data_scadenta)->format('%r%a');
        } else {
            // Altfel, calculăm zilele între data scadenței și data curentă
            $interval = $today->diff($data_scadenta)->format('%r%a');
        }

        // Calcul total scadențe depășite și scadențe în 7 zile
        if ($interval < 0) {
            $total_scadenta_depasita_filtrata += ($row['status_plata'] == 0 || $row['status_plata'] == 2) ? ($row['status_plata'] == 2 ? $row['rest'] : $row['total_factura']) : 0;
        } elseif ($interval <= 7) {
            $total_scadente_filtrate += ($row['status_plata'] == 0) ? $row['total_factura'] : $row['rest'];
        }

        // Determinăm clasa CSS corespunzătoare pentru rând
        $class = 'factura-neplatita';
        if ($row['status_plata'] == 1) {
            $class = 'factura-platita';
        } elseif ($row['status_plata'] == 2) {
            if ($interval < 0) {
                $class = 'factura-scadenta-depasita'; // Roșu pentru scadența depășită
            } elseif ($interval <= 7) {
                $class = 'factura-scadenta-curand'; // Portocaliu pentru scadență în 7 zile
            } else {
                $class = 'factura-partiala'; // Negru pentru facturi plătite parțial fără scadență curând
            }
        } elseif ($interval < 0) {
            $class = 'factura-scadenta-depasita'; // Roșu pentru scadența depășită
        } elseif ($interval <= 7) {
            $class = 'factura-scadenta-curand'; // Portocaliu pentru scadență în 7 zile
        }

        // Afișarea fiecărui rând de factură în tabel cu clasa CSS aplicată
        echo "<tr class='row-{$row['id']} {$class}'>
                <td class='furnizor'>{$row['furnizor']}</td>
                <td class='nr_factura'>{$row['nr_factura']}</td>
                <td class='data_factura'>" . formatDate($row['data_factura']) . "</td>
                <td class='data_scadenta'>" . formatDate($row['data_scadenta']) . "</td>
                <td class='total_factura'>{$row['total_factura']}</td>
                <td class='rest'>" . ($row['rest'] > 0 ? number_format($row['rest'], 2) : '-') . "</td>
                <td class='zile_scadenta'>{$interval}</td>
                <td class='status_plata' data-original-status='" . 
                    ($row['status_plata'] == 1 ? 'Platita' : 
                    ($row['status_plata'] == 2 ? 'Partial' : 'Neplatita')) . "'>" . 
                    ($row['status_plata'] == 1 ? 'Platita' : 
                    ($row['status_plata'] == 2 ? 'Partial' : 'Neplatita')) . 
                "</td>
                <td class='data_plata'>" . ($row['data_plata'] ? formatDate($row['data_plata']) : '-') . "</td>
                <td class='metoda_plata'>" . ($row['metoda_plata'] ? $row['metoda_plata'] : '-') . "</td>
                <td class='actions'>";

        // Afișăm butonul Pay doar pentru facturi neplătite sau parțial plătite
        if ($row['status_plata'] == 0 || $row['status_plata'] == 2) {
            echo "<a class='btn btn-primary btn-sm pay-btn' onclick='payRow({$row['id']})'>Pay</a>";
        }
        // Afișăm butonul Invalidate doar pentru facturi plătite complet sau parțial
        if ($row['status_plata'] == 1 || $row['status_plata'] == 2) {
            echo "<a class='btn btn-warning btn-sm invalidate-btn' onclick='invalidateRow({$row['id']})'>Invalidate</a>";
        }

        echo "<a class='btn btn-danger btn-sm delete-btn' onclick='deleteRow({$row['id']})'>Delete</a>";
        echo "</td></tr>";
    }
}

// Afișăm totalurile după ce am parcurs toate facturile
$total_facturi_filtrate += $total_rest_de_plata_filtrat;

$conn->close();


              ?>
              
                          </tbody>
        </table>


  </div>
 <div class="d-flex justify-content-between mt-4">
    <div>Total Facturi: <span id="totalFacturi"><?php echo number_format($total_facturi_filtrate, 2); ?> RON</span></div>
    <div>
        <div>Total Scadente (în 7 zile): <span id="totalScadente"><?php echo number_format($total_scadente_filtrate, 2); ?> RON</span></div>
        <div>Total Scadență Depășită: <span id="totalScadentaDepasita"><?php echo number_format($total_scadenta_depasita_filtrata, 2); ?> RON</span></div>
    </div>
</div>



</body>
</html>
